fix trouble on atoms tests since 5.4.0 without libscilab
[scilab.git] / scilab / modules / atoms / tests / unit_tests / atomsLoad.tst
index 0d56c95..b89bb78 100644 (file)
@@ -18,6 +18,9 @@ if ~isempty( atomsGetInstalled() ) then pause, end
 atomsRestoreConfig(%T);
 atomsSaveConfig();
 
+//force official ATOMS repository
+atomsRepositorySetOfl(mgetl(SCI+"/modules/atoms/tests/unit_tests/repositories.orig"));
+
 // Set some parameters for the test
 // =============================================================================
 atomsSetConfig("autoloadAddAfterInstall","False");
@@ -25,43 +28,37 @@ atomsSetConfig("Verbose" ,"False");
 
 // 1st test-case : Just install the toolbox 5
 // =============================================================================
-
-// Load the 1st scenario : See scene10.test.atoms.scilab.org.txt
-atomsRepositorySetOfl("http://scene10.test.atoms.scilab.org");
-
 atomsInstall("toolbox_5");
 
 // Check if the module is really installed
 
-if ~ and( atomsIsInstalled( ["toolbox_5" "1.0" ; ..
-                             "toolbox_4" "1.0" ; ..
+if ~ and( atomsIsInstalled( ["toolbox_5" "1.2" ; ..
+                             "toolbox_4" "1.1" ; ..
                              "toolbox_2" "1.0" ; ..
-                             "toolbox_1" "1.0"])) then pause, end
+                             "toolbox_1" "2.0"])) then pause, end
 
 atomsLoad("toolbox_5");
 
 if ~ atomsIsLoaded("toolbox_5") then pause, end
-if ~ atomsIsLoaded(["toolbox_5" "1.0"]) then pause, end
+if ~ atomsIsLoaded(["toolbox_5" "1.2"]) then pause, end
 
 if ~ and(atomsIsLoaded(["toolbox_5"; ..
                         "toolbox_2"; ..
                         "toolbox_1"; ..
                         "toolbox_4"])) then pause, end
 
-if ~ and(atomsIsLoaded(["toolbox_5" "1.0"; ..
+if ~ and(atomsIsLoaded(["toolbox_5" "1.2"; ..
                         "toolbox_2" "1.0"; ..
-                        "toolbox_1" "1.0"; ..
-                        "toolbox_4" "1.0"])) then pause, end
+                        "toolbox_1" "2.0"; ..
+                        "toolbox_4" "1.1"])) then pause, end
 
-if or( t5_version() <> ["Toolbox 5 -> version = 1.0"; ..
-                        "Toolbox 4 -> version = 1.0"; ..
+if or( t5_version() <> ["Toolbox 5 -> version = 1.2"; ..
+                        "Toolbox 4 -> version = 1.1"; ..
                         "Toolbox 2 -> version = 1.0"; ..
-                        "Toolbox 1 -> version = 1.0" ] ) then pause, end
+                        "Toolbox 1 -> version = 2.0" ] ) then pause, end
 
 atomsRemove("toolbox_5");
 
 // Restore original values
 // =============================================================================
 atomsRestoreConfig(%T);
-
-atomsRepositorySetOfl(mgetl(SCI+"/modules/atoms/tests/unit_tests/repositories.orig"));